Raritan PX2/PX3 JSON-RPC API

Public Types | Public Attributes | List of all members
res_mon::Entry Struct Reference

ResMon Entry. More...

`import"ResMon.idl";`

## Public Types
enum | Type { GLOBAL_CPU_USAGE, GLOBAL_FREE_MEM, GLOBAL_PROC_COUNT, FS_FREE_SPACE, FS_FREE_INODES, PROC_CPU_USAGE, PROC_VM_SIZE, PROC_FREE_FILE_DESC, PROC_LIFE_TIME, PROC_COUNT }
| Type of this ResMon Entry. More...

## Public Attributes
Type | type
| Type of this ResMon Entry.
string | name
| ResMon Entry name.
long | value
| ResMon Entry value.

## Detailed Description

ResMon Entry.

## Member Enumeration Documentation

## ◆ Type

enum res_mon::Entry::Type

Type of this ResMon Entry.

Enumerator
GLOBAL_CPU_USAGE | global cpu usage
GLOBAL_FREE_MEM | global free memory
GLOBAL_PROC_COUNT | global process count
FS_FREE_SPACE | free filesystem space
FS_FREE_INODES | free filesystem inodes
PROC_CPU_USAGE | process cpu usage
PROC_VM_SIZE | process virtual mem size
PROC_FREE_FILE_DESC | process free file descriptors
PROC_LIFE_TIME | process life time
PROC_COUNT | process count

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/ResMon.idl